Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Part Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::Part:

[legend]
Collaboration diagram for ACE_RMCast::Part:

[legend]
List of all members.

## Public Member Functions
| Part (Header const &h, istream &is)
| Part (u32 num, u32 of, u64 total_size)
Part_ptr | clone ()
u32 | num () const
u32 | of () const
u64 | total_size () const
virtual void | serialize_body (ostream &os) const
virtual void | serialize_body (sstream &ss) const
## Static Public Attributes
u16 const | id = 0x0008
## Protected Member Functions
virtual Profile_ptr | clone_ ()
| Part (Part const &part)
## Private Attributes
u32 | num_
u32 | of_
u64 | total_size_

## Constructor & Destructor Documentation

ACE_RMCast::Part::Part | ( | Header const & | h,
|  | istream & | is
| ) | `[inline]`

ACE_RMCast::Part::Part | ( | u32 | num,
|  | u32 | of,
|  | u64 | total_size
| ) | `[inline]`

ACE_RMCast::Part::Part | ( | Part const & | part | ) | `[inline, protected]`

## Member Function Documentation

Part_ptr ACE_RMCast::Part::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::Part::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

u32 ACE_RMCast::Part::num | ( |  | ) | const`[inline]`

u32 ACE_RMCast::Part::of | ( |  | ) | const`[inline]`

virtual void ACE_RMCast::Part::serialize_body | ( | sstream & | ss | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::Part::serialize_body | ( | ostream & | os | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

u64 ACE_RMCast::Part::total_size | ( |  | ) | const`[inline]`

## Member Data Documentation

u16 const ACE_RMCast::Part::id = 0x0008`[static]`

u32 ACE_RMCast::Part::num_`[private]`

u32 ACE_RMCast::Part::of_`[private]`

u64 ACE_RMCast::Part::total_size_`[private]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp